<!DOCTYPE html>
<html lang="ru">
<head>
    <meta charset="utf-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1, user-scalable=0">
    <title>Flask Pay</title>
    <link href="{{ url_for('static', filename='css/root.css') }}" rel="stylesheet">
    <link href="{{ url_for('static', filename='css/custom.css') }}" rel="stylesheet">
    <script>
            function validate_form () 
            {
                amount = document.getElementById('amount_input');
                error_block = document.getElementById('error_block');
                var reg = /^([0-9]+(\.[0-9]+)?)$/
                result = reg.test(amount.value);
                if (!result) 
                {
                    amount.value = "";
                    error_block.innerHTML = "Введите корректную сумму оплаты.";
                    error_block.style.display = "block";
                }
                else 
                    error_block.style.display = "none";
                return result;
            }
    </script>
</head>
<body>
    <div id="top" class="clearfix"> 
        <div class="applogo"> <a href="#" class="logo">Flask Pay</a> </div>
    </div>                  
    <div class="content"> 
      <div id = "payment_form"  class="panel panel-default">
            
            <div class="panel-body">
                <form action="/payment" method="POST" accept-charset="UTF-8" onsubmit="return validate_form()">
                    <input type="hidden" name="csrf_token" value="{{ csrf_token() }}"/> 
                    <div class="form-group">
                        <label for="amount_input" class="form-label">Сумма оплаты</label>
                        <input class="form-control" id="amount_input" name="amount" required >
                    </div>
                    <div class="form-group">
                        <label for="currency_input" class="form-label">Валюта оплаты</label>
                        <select id="currency_input" class="form-control" name="currency">
                            <option value="EUR">EUR</option>
                            <option value="USD">USD</option>
                            <option value="RUB">RUB</option>
                        </select>
                    </div>
                    <div class="form-group">
                        <label for="description_input" class="form-label">Описание</label>
                        <textarea name="description" class="form-control" rows="3" id="description_input" placeholder="Введите описание..." style="margin-top: 0px; margin-bottom: 0px; height: 123px;"></textarea>
                    </div>
                    <div id="error_block" style="display: {% if error %} block {% else %} none {% endif %};" class="foxlabel-alert foxlabel-alert-icon foxlabel-alert-click alert6"> {% if error %} {{ error_text }} {% endif %}</div>
                    <button id="pay_button" type="submit" class="btn btn-rounded btn-success">Оплатить</button>
                </form>
            </div>
        </div>
    </div>

</body>
</html>